<nb-card>
  <nb-card-body>
    <form [formGroup]="smerForm" (ngSubmit)="smerForm.valid && onSubmit(smerForm.value)">
      <input type="text" nbInput placeholder="Naziv smera" formControlName="naziv"><br><br>
      <input type="text" nbInput placeholder="Skraćenica smera" formControlName="skracenica"><br><br>
      <button type="submit" status="primary" nbButton href="/">{{this.buttonText}}</button>
    </form>
  </nb-card-body>
</nb-card>
